Open SCAP Library: cvrf_vulnerability Struct Reference

Open SCAP Library

Public Member Functions | Data Fields
cvrf_vulnerability Struct Reference

## Public Member Functions
xmlNode * | cvrf_vulnerability_to_dom (const struct cvrf_vulnerability *vuln)
| Parent: CVRF Model root node. More...
struct cvrf_vulnerability * | cvrf_vulnerability_new (void)
| New CVRF Vulnerability. More...
void | cvrf_vulnerability_free (struct cvrf_vulnerability *vulnerability)
| Deallocates memory for a Vulnerability element. More...
struct cvrf_vulnerability * | cvrf_vulnerability_clone (const struct cvrf_vulnerability *vuln)
int | cvrf_vulnerability_filter_by_product (struct cvrf_vulnerability *vuln, const char *prod)
int | cvrf_vulnerability_get_ordinal (const struct cvrf_vulnerability *vuln)
const char * | cvrf_vulnerability_get_title (const struct cvrf_vulnerability *vuln)
const char * | cvrf_vulnerability_get_system_id (const struct cvrf_vulnerability *vuln)
const char * | cvrf_vulnerability_get_system_name (const struct cvrf_vulnerability *vuln)
const char * | cvrf_vulnerability_get_discovery_date (const struct cvrf_vulnerability *vuln)
const char * | cvrf_vulnerability_get_release_date (const struct cvrf_vulnerability *vuln)
const char * | cvrf_vulnerability_get_cve_id (const struct cvrf_vulnerability *vuln)
bool | cvrf_vulnerability_set_ordinal (struct cvrf_vulnerability *vuln, int ordinal)
bool | cvrf_vulnerability_set_title (struct cvrf_vulnerability *vuln, const char *vulnerability_title)
bool | cvrf_vulnerability_set_system_id (struct cvrf_vulnerability *vuln, const char *id)
bool | cvrf_vulnerability_set_system_name (struct cvrf_vulnerability *vuln, const char *sys_name)
bool | cvrf_vulnerability_set_discovery_date (struct cvrf_vulnerability *vuln, const char *discovery_date)
bool | cvrf_vulnerability_set_release_date (struct cvrf_vulnerability *vuln, const char *release_date)
bool | cvrf_vulnerability_set_cve_id (struct cvrf_vulnerability *vuln, const char *cve_id)
struct oscap_iterator * | cvrf_vulnerability_get_references (struct cvrf_vulnerability *vuln)
struct oscap_iterator * | cvrf_vulnerability_get_acknowledgments (struct cvrf_vulnerability *vuln)
struct oscap_iterator * | cvrf_vulnerability_get_notes (struct cvrf_vulnerability *vuln)
bool | cvrf_vulnerability_add_vulnerability_cwe (struct cvrf_vulnerability *vuln, struct cvrf_vulnerability_cwe *vulnerability_cwe)
struct cvrf_vulnerability_cwe_iterator * | cvrf_vulnerability_get_vulnerability_cwes (const struct cvrf_vulnerability *vuln)
bool | cvrf_vulnerability_add_involvement (struct cvrf_vulnerability *vuln, struct cvrf_involvement *involvement)
struct cvrf_involvement_iterator * | cvrf_vulnerability_get_involvements (const struct cvrf_vulnerability *vuln)
bool | cvrf_vulnerability_add_score_set (struct cvrf_vulnerability *vuln, struct cvrf_score_set *score_set)
struct cvrf_score_set_iterator * | cvrf_vulnerability_get_score_sets (const struct cvrf_vulnerability *vuln)
bool | cvrf_vulnerability_add_cvrf_product_status (struct cvrf_vulnerability *vuln, struct cvrf_product_status *stat)
struct cvrf_product_status_iterator * | cvrf_vulnerability_get_product_statuses (const struct cvrf_vulnerability *vuln)
bool | cvrf_vulnerability_add_remediation (struct cvrf_vulnerability *vuln, struct cvrf_remediation *remed)
struct cvrf_remediation_iterator * | cvrf_vulnerability_get_remediations (const struct cvrf_vulnerability *vuln)
bool | cvrf_vulnerability_add_threat (struct cvrf_vulnerability *vuln, struct cvrf_threat *threat)
struct cvrf_threat_iterator * | cvrf_vulnerability_get_threats (const struct cvrf_vulnerability *vuln)

## Data Fields
int | ordinal
char * | title
char * | system_id
char * | system_name
char * | discovery_date
char * | release_date
char * | cve_id
struct oscap_list * | cwes
struct oscap_list * | notes
struct oscap_list * | involvements
struct oscap_list * | score_sets
struct oscap_list * | product_statuses
struct oscap_list * | threats
struct oscap_list * | remediations
struct oscap_list * | references
struct oscap_list * | acknowledgments

## Member Function Documentation

## ◆ cvrf_vulnerability_to_dom()

xmlNode * cvrf_vulnerability_to_dom | ( | const struct cvrf_vulnerability * | vuln | ) |

Parent: CVRF Model root node.

Parameters

  vuln | CVRF Vulnerability structure to be exported to XML

Returns
  xmlNode representing Vulnerability element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h